Data streams
All operations require authentication.
List data streamsProduction
Returns the data streams of the Logs Data Platform service.
Path parameters
Service name
Query parameters
Filter resources on IAM tags
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream \
-H "authorization: Bearer $OVH_TOKEN"[ "00000000-0000-0000-0000-000000000000"]
Get a data streamProduction
Returns the data stream.
Path parameters
Service name
Stream ID
Response
Indicates if the current user can create alert on the stream
Cluster ID
Cold storage compression method
DEFLATEDGZIPLZMAZSTDColdStorage content
ALLGELFPLAINIs Cold storage enabled?
Notify on new Cold storage archive
Cold storage retention in year
Stream creation
Stream description
Encryption keys used to encrypt stream archives
IAM resource metadata
Indexing current size (in bytes)
Enable ES indexing
Maximum indexing size (in GB)
If set, notify when size is near 80, 90 or 100 % of the maximum configured setting
Indicates if you are allowed to edit entry
Number of alert condition
Number of coldstored archives
Number of subscriptions targeting this stream
Parent stream ID
If set, pause indexing when maximum size is reach
Retention ID
Stream ID
Stream name
Stream last update
Enable Websocket
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId} \
-H "authorization: Bearer $OVH_TOKEN"{ "canAlert": true, "clusterId": "00000000-0000-0000-0000-000000000000", "coldStorageCompression": "DEFLATED", "coldStorageContent": "ALL", "coldStorageEnabled": true, "coldStorageNotifyEnabled": true, "coldStorageRetention": 0, "createdAt": "2024-01-01T12:00:00Z", "description": "string", "encryptionKeysIds": [ "00000000-0000-0000-0000-000000000000" ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "indexingCurrentSize": 0, "indexingEnabled": true, "indexingMaxSize": 0, "indexingNotifyEnabled": true, "isEditable": true, "nbAlertCondition": 0, "nbArchive": 0, "nbSubscription": 0, "parentStreamId": "00000000-0000-0000-0000-000000000000", "pauseIndexingOnMaxSize": true, "retentionId": "00000000-0000-0000-0000-000000000000", "streamId": "00000000-0000-0000-0000-000000000000", "title": "string", "updatedAt": "2024-01-01T12:00:00Z", "webSocketEnabled": true}
List data stream URLsProduction
Returns the data stream URLs of the Logs Data Platform service.
Path parameters
Service name
Stream ID
Response
Web URI
Service type
CONSOLEELASTICSEARCH_APIGRAYLOG_APIGRAYLOG_WEBUIHTTP_GELFHTTP_TLS_GELFKIBANA_WEBUIOPENSEARCH_APIOSD_WEBUIPROMETHEUS_APISERVICE_DOMAINTCP_BEATSTCP_CAP_N_PROTOTCP_GELFTCP_LTSV_LINETCP_LTSV_NULTCP_RFC5424TCP_TLS_BEATSTCP_TLS_CAP_N_PROTOTCP_TLS_GELFTCP_TLS_LTSV_LINETCP_TLS_LTSV_NULTCP_TLS_RFC5424UDP_CAP_N_PROTOUDP_GELFUDP_LTSV_LINEUDP_LTSV_NULUDP_RFC5424WEB_SOCKETExample uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId}/ url \
-H "authorization: Bearer $OVH_TOKEN"[ { "address": "string", "type": "CONSOLE" }]
Create a data streamProduction
Creates a data stream on the Logs Data Platform service.
Path parameters
Service name
Request body (required)
Cold storage compression
DEFLATEDGZIPLZMAZSTDCold storage archive content
ALLGELFPLAINCold storage enabled
Cold storage notify enabled
Cold storage retention time
Description
Encryption keys used to encrypt stream archives
ES indexing enabled
Maximum indexing size (in GB)
If set, notify when size is near 80, 90 or 100 % of the maximum configured setting
Parent stream ID
If set, pause indexing when maximum size is reach
Retention ID
Title
Web Socket enabled
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Delete a data streamProduction
Deletes the data stream.
Path parameters
Service name
Stream ID
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}
Update a data streamProduction
Updates the data stream.
Path parameters
Service name
Stream ID
Request body (required)
Cold storage compression
DEFLATEDGZIPLZMAZSTDCold storage content
ALLGELFPLAINCold storage enabled
Cold storage notify enabled
Cold storage retention time
Description
Encryption keys used to encrypt stream archives
ES indexing enabled
Maximum indexing size (in GB)
If set, notify when size is near 80, 90 or 100 % of the maximum configured setting
If set, pause indexing when maximum size is reach
Title
Web socket enabled
Response
Alias used
Operation creation
Dashboard used
Encryption key used
Index used
Input used
Operation ID
OpenSearch Dashboards used
Role used
Service name
Operation status
FAILUREPENDINGRECEIVEDRETRYREVOKEDRUNNINGSTARTEDSUCCESSStream used
Subscription used
Metrics tenant used
Token used
Operation last update
Example uses serviceName = string, streamId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dbaas/ logs/ {serviceName}/ output/ graylog/ stream/ {streamId} \
-H "authorization: Bearer $OVH_TOKEN"{ "aliasId": "00000000-0000-0000-0000-000000000000", "createdAt": "2024-01-01T12:00:00Z", "dashboardId": "00000000-0000-0000-0000-000000000000", "encryptionKeyId": "00000000-0000-0000-0000-000000000000", "indexId": "00000000-0000-0000-0000-000000000000", "inputId": "00000000-0000-0000-0000-000000000000", "operationId": "00000000-0000-0000-0000-000000000000", "osdId": "00000000-0000-0000-0000-000000000000", "roleId": "00000000-0000-0000-0000-000000000000", "serviceName": "string", "state": "FAILURE", "streamId": "00000000-0000-0000-0000-000000000000", "subscriptionId": "00000000-0000-0000-0000-000000000000", "tenantId": "00000000-0000-0000-0000-000000000000", "tokenId": "00000000-0000-0000-0000-000000000000", "updatedAt": "2024-01-01T12:00:00Z"}